---
wsId: xwallet
title: XWallet
altTitle: 
authors:
- kiwilamb
- leo
- danny
users: 100000
appId: com.pundix.xwallet
appCountry: 
released: 2018-10-22
updated: 2021-06-24
version: 2.8.3
stars: 3.1
ratings: 5049
reviews: 210
size: 
website: https://www.pundix.com
repository: 
issue: 
icon: com.pundix.xwallet.png
bugbounty: 
meta: ok
verdict: custodial
date: 2021-06-16
signer: 
reviewArchive: 
twitter: PundiXLabs
social:
- https://www.linkedin.com/company/pundix
- https://www.facebook.com/pundixlabs
redirect_from: 

---

**Update 2022-01-06**: The app is online again.[( Twitter Screenshot)](https://twitter.com/BitcoinWalletz/status/1479004151375822850)

**Update 2021-06-16**: It's been a few days this app is not on the App store. If
it should return, please open an issue on our issue tracker!

Searching the Pundix [support FAQ](https://support.pundix.com/) we find an FAQ that answers the private key management question.

> **Will I have a private key when setting up an account in XWallet app?**<br>
  No. Your email address and mobile number are required when setting up an XWallet app account.

The wallet does not provide the user access to the private keys.

Our verdict: This 'wallet' is custodial and therefore **not verifiable**.

